﻿using Hotline.Users;

namespace Hotline.Settings
{
    public class SettingConstants
    {
        /// <summary>
        /// 是否启用IVR
        /// </summary>
        public const string IVRConfig = "IVRConfig";

        /// <summary>
        /// 是否小休审批
        /// </summary>
        public const string IsRestApproval = "IsRestApproval";
        /// <summary>
        /// 首页登录图
        /// </summary>
        public const string LoginImage = "LoginImage";

        /// <summary>
        /// 修改密码logo图片
        /// </summary>
        public const string ChangePwdImage = "ChangePwdImage";

        /// <summary>
        /// 角标图片
        /// </summary>
        public const string FaviconImage = "FaviconImage";

        /// <summary>
        /// 菜单logo图片
        /// </summary>
        public const string MenuLogoImage = "MenuLogoImage";

        /// <summary>
        /// 菜单logo图片mini
        /// </summary>
        public const string MenuLogoImageMini = "MenuLogoImageMini";
        /// <summary>
        /// 系统名称
        /// </summary>
        public const string SysName = "SysName";

        /// <summary>
        /// 是否通话后挂起
        /// </summary>
        public const string IsAutoTalkingDeal = "IsAutoTalkingDeal";

        /// <summary>
        /// 通话后挂起时间
        /// </summary>
        public const string TalkingDealTime = "TalkingDealTime";

        /// <summary>
        /// 中心节假日工作时间
        /// </summary>
        public const string CallCenterWorkTime = "CallCenterWorkTime";

        /// <summary>
        /// 工作日工作时间
        /// </summary>
        public const string WorkTime = "WorkTime";

        /// <summary>
        /// 部门工作日工作时间（报表用）
        /// </summary>
        public const string WorkTimeOrg = "WorkTimeOrg";

        /// <summary>
        /// 工单延期申请次数
        /// </summary>
        public const string DelayNum = "DelayNum";

        /// <summary>
        /// 甄别申请截至时限
        /// </summary>
        public const string ScreenApplyEndTime = "ScreenApplyEndTime";


        /// <summary>
        /// 甄别申请次数限制
        /// </summary>
        public const string ScreenApplyNum = "ScreenApplyNum";

        /// <summary>
        /// 工单重复性事件次数
        /// </summary>
        public const string RepeatableEventNum = "RepeatableEventNum";

        /// <summary>
        /// 即将超期工单检测值
        /// </summary>
        public const string OrderAboutToExpire = "OrderAboutToExpire";

        /// <summary>
        /// 是否需要分机号
        /// </summary>
        public const string IsNeedTelNo = "IsNeedTelNo";

        /// <summary>
        /// 分机是否需要验证
        /// </summary>
        public const string IsTelNeedVerify = "IsTelNeedVerify";

        /// <summary>
        /// 退回中心时限
        /// </summary>
        public const string BackCenterTimeSetting = "BackCenterTimeSetting";

        /// <summary>
        /// 智能语音导航
        /// </summary>
        public const string AIIVRTime = "AIIVRTime";

        /// <summary>
        /// 是否启用智能语音导航
        /// </summary>
        public const string IsAIIVR = "IsAIIVR";

        /// <summary>
        /// 队列数
        /// </summary>
        public const string QueueNum = "QueueNum";

        /// <summary>
        /// 是否启用自定义事件
        /// </summary>
        public const string IsCustomEvent = "IsCustomEvent";

        /// <summary>
        /// 未接秒挂时间
        /// </summary>
        public const string NoConnectByeTimes = "NoConnectByeTimes";
        /// <summary>
        /// 呼入有效时间
        /// </summary>
        public const string EffectiveTimes = "EffectiveTimes";
        /// <summary>
        /// 接通秒挂时间
        /// </summary>
        public const string ConnectByeTimes = "ConnectByeTimes";
        /// <summary>
        /// 及时应答时间
        /// </summary>
        public const string RingTims = "RingTims";
        /// <summary>
        /// 大屏数据展示推送间隔时间
        /// </summary>
        public const string BsDataShowChangedTimes = "BsDataShowChangedTimes";
        /// <summary>
        /// 大屏坐席监控推送间隔时间
        /// </summary>
        public const string BsDataStateChangedTimes = "BsDataStateChangedTimes";

        /// <summary>
        /// 二级部门退回
        /// </summary>
        public const string TwoOrgSendBack = "TwoOrgSendBack";

        /// <summary>
        /// 一级部门退回
        /// </summary>
        public const string OneOrgSendBack = "OneOrgSendBack";

        /// <summary>
        /// 特提是否需求审批
        /// </summary>
        public const string SpecialAduit = "SpecialAduit";

		/// <summary>
		/// 坐席班长
		/// </summary>
		public const string SeatsMonitor = "SeatsMonitor";

        /// <summary>
        /// 经办人角色
        /// </summary>
        public const string RoleJingBanRen = "RoleJingBanRen";

        /// <summary>
        /// 领导角色
        /// </summary>
        public const string RoleLingDao = "RoleLingDao";

		/// <summary>
		/// 是否开启登录短信
		/// </summary>
		public const string IsLoginMessageCode = "IsLoginMessageCode";

        /// <summary>
        /// 登录白名单
        /// </summary>
        public const string LoginCodeWhiteList = "LoginCodeWhiteList";

        /// <summary>
        /// 录音地址配置
        /// </summary>
        public const string TapeAddress = "TapeAddress";

        /// <summary>
        /// 录音下载地址配置
        /// </summary>
        public const string DownTapeAddress = "DownTapeAddress";

        /// <summary>
        /// 默认派单员
        /// </summary>
        public const string DefaultDispatchClerk = "DefaultDispatchClerk";

        /// <summary>
        /// 高频来电统计-来电次数
        /// </summary>
        public const string HighFrequencyCallStatistics = "HighFrequencyCallStatistics";

        /// <summary>
        /// 是否市州互转
        /// </summary>
        public const string TranspondCity = "TranspondCity";

        /// <summary>
        /// 特提坐席权限
        /// </summary>
        public const string SpecialSeats = "SpecialSeats";

        /// <summary>
        /// 特提派单组权限
        /// </summary>
        public const string SpecialSendOrder = "SpecialSendOrder";

        /// <summary>
        /// 平均派单
        /// </summary>
        public const string AverageSendOrder = "AverageSendOrder";

        /// <summary>
        /// 是否开启司法行政监督管理
        /// </summary>
        public const string IsOpenJudicialManagement = "IsOpenJudicialManagement";

        /// <summary>
        /// 行政执法类-推诿工单
        /// </summary>
        public const string EnforcementPassTheBuckNum = "EnforcementPassTheBuckNum";

        /// <summary>
        /// 行政执法大屏工单数据推送间隔
        /// </summary>
        public const string EnforcementDataOrderChangedTimes = "EnforcementDataOrderChangedTimes";

        /// <summary>
        /// 外呼分机组号
        /// </summary>
        public const string CallOutQueueId = "CallOutQueueId";

        /// <summary>
        /// 门户网站主题颜色
        /// </summary>
        public const string WebSystemSettingsTheme = "WebSystemSettingsTheme";

        /// <summary>
        /// 工单特提至坐席是否指派给选择对象
        /// </summary>
        public const string IsRecallToSeatDesignated = "IsRecallToSeatDesignated";

        /// <summary>
        /// 不参与会签的部门
        /// </summary>
        public const string NoSignOrgCode = "NoSignOrgCode";

        /// <summary>
        /// 市州互转是否接收办理结果
        /// </summary>
        public const string CityDataUndertakAdvice = "CityDataUndertakAdvice";
        #region 智能外呼

        #region 智能回访

        /// <summary>
        /// 智能回访场景ID
        /// </summary>
        public const string VisitSceneUid = "VisitSceneUid";

        /// <summary>
        /// 智能回访规则ID
        /// </summary>
        public const string VisitRuleUid = "VisitRuleUid";

        /// <summary>
        /// 来电名称
        /// </summary>
        public const string VisitFromNameKey = "VisitFromNameKey";

        /// <summary>
        /// 来电性别
        /// </summary>
        public const string VisitFromGenderKey = "VisitFromGenderKey";

        /// <summary>
        /// 来电时间
        /// </summary>
        public const string VisitCreationTimeKey = "VisitCreationTimeKey";

        /// <summary>
        /// 工单标题
        /// </summary>
        public const string VisitOrderTitleKey = "VisitOrderTitleKey";

        /// <summary>
        /// 是否来电工单
        /// </summary>
        public const string VisitIsCallOrder = "VisitIsCallOrder";

        /// <summary>
        /// 是否联系
        /// </summary>
        public const string QuestionIdZero = "QuestionIdZero";
        /// <summary>
        /// 是否解决
        /// </summary>
        public const string QuestionIdOne = "QuestionIdOne";

        /// <summary>
        /// 办件结果满意度
        /// </summary>
        public const string QuestionIdTwo = "QuestionIdTwo";

        /// <summary>
        /// 坐席是否满意
        /// </summary>
        public const string QuestionIdThree = "QuestionIdThree";

        /// <summary>
        /// 办件结果不满意原因
        /// </summary>
        public const string VisitContentIdOne = "VisitContentIdOne";

        /// <summary>
        /// 坐席不满意原因
        /// </summary>
        public const string VisitContentIdTwo = "VisitContentIdTwo";
        #endregion


        #region 批量外呼
        /// <summary>
        /// 批量外呼场景ID
        /// </summary>
        public const string CallOutSceneUid = "CallOutSceneUid";

        /// <summary>
        /// 批量外呼规则ID
        /// </summary>
        public const string CallOutRuleUid = "CallOutRuleUid";

        /// <summary>
        /// 批量外呼播放内容
        /// </summary>
        public const string CallOutContentKey = "CallOutContentKey";

        #endregion
        #endregion

        /// <summary>
        /// 录音文件前缀地址
        /// </summary>
        public const string ViteRecordPrefix = "ViteRecordPrefix";

        /// <summary>
        /// 派单员角色
        /// </summary>
        public const string RolePaiDan = "RolePaiDan";

        /// <summary>
        /// 坐席角色
        /// </summary>
        public const string RoleZuoXi = "RoleZuoXi";
        /// <summary>
        /// 呼入分机组号
        /// </summary>
        public const string CallInQueueId = "CallInQueueId";

        /// <summary>
        /// 更新工单派单员信息
        /// </summary>
        public const string CanUpdateOrderSender = "CanUpdateOrderSender";

        /// <summary>
        /// 是否开启重复工单
        /// </summary>
        public const string IsOpenRepeatedWorkOrders = "IsOpenRepeatedWorkOrders";

        /// <summary>
        /// 班长代办
        /// </summary>
        public const string ChargeDAffaires = "ChargeDAffaires";

        /// <summary>
        /// 超时接通量
        /// </summary>
        public const string CallInOverConnRingTime = "CallInOverConnRingTime";

        /// <summary>
        /// 坐席超时挂断时间	
        /// </summary>
        public const string SeatChaoTime = "SeatChaoTime";

        /// <summary>
        /// 智能语音URL头
        /// </summary>
        public const string AiVisitVoiceBaseUrl = "AiVisitVoiceBaseUrl";

        /// <summary>
        /// 是否开启应急管理局推送业务
        /// </summary>
        public const string IsOpenContingencyManagement = "IsOpenContingencyManagement";

        /// <summary>
        /// 系统版本地区
        /// </summary>
        public const string VersionsAreaCode = "VersionsAreaCode";

        /// <summary>
        /// 系统管理员角色
        /// </summary>
        public const string SystemAdministrator = "SystemAdministrator";

        /// <summary>
        /// 呼叫中心socket地址
        /// </summary>
        public const string CallCenterSocketUrl = "CallCenterSocketUrl";

        /// <summary>
        /// 地图中心点坐标
        /// </summary>
        public const string LocationCenter = "LocationCenter";

        /// <summary>
        /// 备案号
        /// </summary>
        public const string RecordNumber = "RecordNumber";

        /// <summary>
        /// 城市名简写
        /// </summary>
        public const string CityAbbr = "CityAbbr";

        /// <summary>
        /// 运营商名称
        /// </summary>
        public const string Operate = "Operate";

        /// <summary>
        /// 技术支持
        /// </summary>
        public const string TechSupport = "TechSupport";

        /// <summary>
        /// 城市Code
        /// </summary>
        public const string CityCode = "CityCode";

        /// <summary>
        /// 城市名称
        /// </summary>
        public const string CityName = "CityName";

        /// <summary>
        /// 录音播放地址前缀
        /// </summary>
        public const string RecordPrefix = "RecordPrefix";

        /// <summary>
        /// 录音地址下载前缀
        /// </summary>
        public const string RecordDownLoadPrefix = "RecordDownLoadPrefix";

        /// <summary>
        /// 接受短信的角色ID
        /// </summary>
        public const string AcceptSmsRoleIds = "AcceptSmsRoleIds";

        /// <summary>
        /// 企业专席配置	
        /// </summary>
        public const string EnterpriseSeats = "EnterpriseSeats";

        /// <summary>
        /// 监听分机号
        /// </summary>
        public const string ListenTels = "ListenTels";

        /// <summary>
        /// 是否发送超期短信
        /// </summary>
        public const string IsSendOverTimeSms = "IsSendOverTimeSms";
    }
}
